searchData={"items":[{"type":"module","title":"LoggerPSQL","doc":"PostgreSQL backend for Logger.","ref":"LoggerPSQL.html"},{"type":"task","title":"mix logger_psql.gen.migration","doc":"Generates the required migration for LoggerPSQL.","ref":"Mix.Tasks.LoggerPsql.Gen.Migration.html"},{"type":"function","title":"Mix.Tasks.LoggerPsql.Gen.Migration.run/1","doc":"","ref":"Mix.Tasks.LoggerPsql.Gen.Migration.html#run/1"},{"type":"task","title":"mix logger_psql.rm.migration","doc":"Removes the migration file, used mostly for testing purposes.","ref":"Mix.Tasks.LoggerPsql.Rm.Migration.html"},{"type":"function","title":"Mix.Tasks.LoggerPsql.Rm.Migration.run/1","doc":"","ref":"Mix.Tasks.LoggerPsql.Rm.Migration.html#run/1"},{"type":"extras","title":"Overview","doc":"# LoggerPSQL\n\n[![Hex.pm](https://img.shields.io/hexpm/v/logger_psql.svg)](https://hex.pm/packages/logger_psql)\n\nLoggerPSQL is a Logger backend that emits the logs to a PostgreSQL Repo.","ref":"readme.html"},{"type":"extras","title":"Installation - Overview","doc":"Add `logger_psql` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:logger_psql, \"~> 0.1.2\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - Overview","doc":"Add the backend to the logger configuration:\n\n```elixir\nconfig :logger,\n  backends: [LoggerPSQL],\n  level: :info\n```\n\nThen configure the logger_psql itself to the desired repo:\n\n```elixir\nconfig :logger_psql, :backend,\n  level: :info,\n  repo: MyApp.LogRepo,\n  schema_name: \"logs\",\n  prefix: \"\",\n  metadata_filter: [:ansi_color, :color]\n```\n\nSome of the fields for configuration are:\n\n  1. `level:` informs the lower level to be sent to the backend\n  2. `repo:` module defined by ecto to be the desired storage, it is recommended to have a separated repo from the main repo of the application for this\n  3. `schema_name:` table name to be created with the migration, if not set the value is `logs`\n  4. `prefix:` database prefix, if not set the value is empty and goes directly into the ecto's default value of `public`\n  5. `metadata_filter:` simple filter for metadata to not be stored in the database","ref":"readme.html#configuration"},{"type":"extras","title":"Migration - Overview","doc":"Generate and run the migrations from the CLI:\n\n  1. `mix logger_psql.gen.migration`\n  2. `mix ecto.migrate`\n\n> **NOTE** After running the migrations please take note of changing the configs for `schema_name` and `prefix`, if needed to change after running the migrations, please create the migrations accordingly.","ref":"readme.html#migration"},{"type":"extras","title":"Thanks - Overview","doc":"Many source code has been taken from original Elixir Logger `:console` and [logger_json](https://github.com/Nebo15/logger_json/) back-end source code, so I want to thank all it's authors and contributors.\n\nPart of `Mix.Tasks.LoggerPsql.Gen.Migration` module was based in the guardian_db gen.migration task [guardian_db](https://github.com/ueberauth/guardian_db/blob/master/lib/mix/tasks/guardian_db.gen.migration.ex).","ref":"readme.html#thanks"},{"type":"extras","title":"License","doc":"MIT License\n\nCopyright (c) [2023] [Bruno Saragosa]\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown"}